### Function

# FwupdPlugin path_find_program

#### Declaration [src]

    gchar*
    fu_path_find_program (
      const gchar* basename,
      GError** error
    )

#### Description [src]

Looks for a program in the PATH variable.

Available since: | 1.8.2

#### Parameters

`basename` | `const gchar*`
| The program to search.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A new #gchar, or `NULL` for error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.